Index: code/branches/cpp11_v2/src/libraries/core/command/Functor.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/Functor.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/Functor.h	(revision 10768)
@@ -242,5 +242,5 @@
         public:
             /// Constructor: Stores the object-pointer.
-            FunctorMember(O* object = 0) : object_(object), bSafeMode_(false) {}
+            FunctorMember(O* object = nullptr) : object_(object), bSafeMode_(false) {}
             virtual ~FunctorMember() { if (this->bSafeMode_) { this->unregisterObject(this->object_); } }
 
@@ -310,5 +310,5 @@
             /// Will be called by Destroyable::~Destroyable() if the stored object is deleted and the Functor is in safe mode.
             inline void objectDeleted()
-                { this->object_ = 0; }
+                { this->object_ = nullptr; }
 
             O* object_;     ///< The stored object-pointer, used to execute a member-function (or nullptr for static functions)
@@ -322,5 +322,5 @@
         public:
             /// Constructor: Stores the object-pointer.
-            FunctorMember(void* object = 0) {}
+            FunctorMember(void* object = nullptr) {}
 
             /// Calls the function-pointer with up to five arguments and an object. In case of a static-function, the object can be nullptr. @return Returns the return-value of the function (if any; MultiType::Null otherwise)
@@ -330,5 +330,5 @@
             MultiType operator()(const MultiType& param1 = MultiType::Null, const MultiType& param2 = MultiType::Null, const MultiType& param3 = MultiType::Null, const MultiType& param4 = MultiType::Null, const MultiType& param5 = MultiType::Null)
             {
-                return (*this)((void*)0, param1, param2, param3, param4, param5);
+                return (*this)((void*)nullptr, param1, param2, param3, param4, param5);
             }
 
@@ -342,5 +342,5 @@
             // see Functor::getRawObjectPointer()
             inline void* getRawObjectPointer() const
-                { return 0; }
+                { return nullptr; }
 
             // see Functor::setSafeMode()
@@ -369,5 +369,5 @@
         public:
             /// Constructor: Initializes the base class and stores the function-pointer.
-            FunctorPointer(F functionPointer, O* object = 0) : FunctorMember<O>(object), functionPointer_(functionPointer) {}
+            FunctorPointer(F functionPointer, O* object = nullptr) : FunctorMember<O>(object), functionPointer_(functionPointer) {}
 
             /// Changes the function-pointer.
@@ -494,5 +494,5 @@
         public:
             /// Constructor: Initializes the base class.
-            FunctorTemplate(typename detail::FunctionPointer<R, O, isconst, P1, P2, P3, P4, P5>::Type functionPointer, O* object = 0) : FunctorPointer<typename detail::FunctionPointer<R, O, isconst, P1, P2, P3, P4, P5>::Type, O>(functionPointer, object) {}
+            FunctorTemplate(typename detail::FunctionPointer<R, O, isconst, P1, P2, P3, P4, P5>::Type functionPointer, O* object = nullptr) : FunctorPointer<typename detail::FunctionPointer<R, O, isconst, P1, P2, P3, P4, P5>::Type, O>(functionPointer, object) {}
 
             // see FunctorMember::operator()()
Index: code/branches/cpp11_v2/src/libraries/core/command/IOConsolePOSIX.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/IOConsolePOSIX.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/IOConsolePOSIX.cc	(revision 10768)
@@ -62,5 +62,5 @@
         , promptString_("orxonox # ")
         , bStatusPrinted_(false)
-        , originalTerminalSettings_(0)
+        , originalTerminalSettings_(nullptr)
     {
         this->setTerminalMode();
@@ -326,5 +326,5 @@
             tcsetattr(0, TCSANOW, IOConsole::singletonPtr_s->originalTerminalSettings_);
             delete IOConsole::singletonPtr_s->originalTerminalSettings_;
-            IOConsole::singletonPtr_s->originalTerminalSettings_ = 0;
+            IOConsole::singletonPtr_s->originalTerminalSettings_ = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/libraries/core/command/IRC.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/IRC.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/IRC.cc	(revision 10768)
@@ -66,5 +66,5 @@
     IRC::IRC()
     {
-        this->interpreter_ = 0;
+        this->interpreter_ = nullptr;
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/command/TclBind.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/TclBind.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/TclBind.cc	(revision 10768)
@@ -47,5 +47,5 @@
     SetConsoleCommand("bgerror", &TclBind::bgerror).hide();
 
-    TclBind* TclBind::singletonPtr_s = 0;
+    TclBind* TclBind::singletonPtr_s = nullptr;
 
     /**
@@ -55,5 +55,5 @@
     TclBind::TclBind(const std::string& datapath)
     {
-        this->interpreter_ = 0;
+        this->interpreter_ = nullptr;
         this->bSetTclDataPath_ = false;
         this->setDataPath(datapath);
Index: code/branches/cpp11_v2/src/libraries/core/command/TclBind.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/TclBind.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/TclBind.h	(revision 10768)
@@ -121,5 +121,5 @@
             static void tcl_execute(Tcl::object const &args);
 
-            static std::string eval(const std::string& tclcode, int* error = 0);
+            static std::string eval(const std::string& tclcode, int* error = nullptr);
 
         private:
Index: code/branches/cpp11_v2/src/libraries/core/command/TclThreadManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/command/TclThreadManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/command/TclThreadManager.cc	(revision 10768)
@@ -86,5 +86,5 @@
     };
 
-    TclThreadManager* TclThreadManager::singletonPtr_s = 0;
+    TclThreadManager* TclThreadManager::singletonPtr_s = nullptr;
 
     /**
@@ -289,5 +289,5 @@
         catch (const Tcl::tcl_error& e)
         {
-            bundle->interpreter_ = 0;
+            bundle->interpreter_ = nullptr;
             orxout(user_error, context::tcl) << "Tcl error while creating Tcl-interpreter (" << id_string << "): " << e.what() << endl;
         }
@@ -521,5 +521,5 @@
         {
             TclThreadManager::error("No Tcl-interpreter with ID " + multi_cast<std::string>(id) + " existing.");
-            return 0;
+            return nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/commandline/CommandLineParser.cc	(revision 10768)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    CommandLineParser* CommandLineParser::singletonPtr_s = 0;
+    CommandLineParser* CommandLineParser::singletonPtr_s = nullptr;
 
     /**
Index: code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/config/ConfigFile.cc	(revision 10768)
@@ -113,5 +113,5 @@
         if (file.is_open())
         {
-            ConfigFileSection* newsection = 0;
+            ConfigFileSection* newsection = nullptr;
 
             while (file.good() && !file.eof())
@@ -140,5 +140,5 @@
                 }
 
-                if (newsection != 0)
+                if (newsection != nullptr)
                 {
                     if (isComment(line))
Index: code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/config/ConfigFileManager.cc	(revision 10768)
@@ -42,5 +42,5 @@
     ///////////////////////
 
-    ConfigFileManager* ConfigFileManager::singletonPtr_s = 0;
+    ConfigFileManager* ConfigFileManager::singletonPtr_s = nullptr;
 
     /// Constructor: Initializes the array of config files with nullptr.
Index: code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/config/ConfigValueContainer.cc	(revision 10768)
@@ -53,5 +53,5 @@
         this->sectionname_ = sectionname;
         this->varname_ = varname;
-        this->callback_ = 0;
+        this->callback_ = nullptr;
         this->bContainerIsNew_ = true;
         this->bDoInitialCallback_ = false;
Index: code/branches/cpp11_v2/src/libraries/core/config/SettingsConfigFile.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/config/SettingsConfigFile.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/config/SettingsConfigFile.cc	(revision 10768)
@@ -57,5 +57,5 @@
     SetConsoleCommand(__CC_getConfig_name,       &SettingsConfigFile::getConfig).argumentCompleter(0, autocompletion::settingssections()).argumentCompleter(1, autocompletion::settingsentries());
 
-    SettingsConfigFile* SettingsConfigFile::singletonPtr_s = 0;
+    SettingsConfigFile* SettingsConfigFile::singletonPtr_s = nullptr;
 
     /**
@@ -77,9 +77,9 @@
     SettingsConfigFile::~SettingsConfigFile()
     {
-        ModifyConsoleCommand(__CC_load_name).setObject(0);
-        ModifyConsoleCommand(__CC_setFilename_name).setObject(0);
-        ModifyConsoleCommand(__CC_config_name).setObject(0);
-        ModifyConsoleCommand(__CC_tconfig_name).setObject(0);
-        ModifyConsoleCommand(__CC_getConfig_name).setObject(0);
+        ModifyConsoleCommand(__CC_load_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_setFilename_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_config_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_tconfig_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_getConfig_name).setObject(nullptr);
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/input/Button.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/Button.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/Button.cc	(revision 10768)
@@ -53,5 +53,5 @@
     Button::Button()
         : bButtonThresholdUser_(false)
-        , paramCommandBuffer_(0)
+        , paramCommandBuffer_(nullptr)
     {
         nCommands_[0]=0;
@@ -75,5 +75,5 @@
                     delete commands_[j][i];
                 delete[] commands_[j];
-                commands_[j] = 0;
+                commands_[j] = nullptr;
                 nCommands_[j] = 0;
             }
@@ -206,5 +206,5 @@
                         }
                     }
-                    if (cmd->paramCommand_ == 0)
+                    if (cmd->paramCommand_ == nullptr)
                     {
                         cmd->paramCommand_ = new BufferedParamCommand();
@@ -239,5 +239,5 @@
             }
             else
-                commands_[j] = 0;
+                commands_[j] = nullptr;
         }
     }
Index: code/branches/cpp11_v2/src/libraries/core/input/HalfAxis.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/HalfAxis.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/HalfAxis.h	(revision 10768)
@@ -49,5 +49,5 @@
             : relVal_(0.0f)
             , absVal_(0.0f)
-            , paramCommands_(0)
+            , paramCommands_(nullptr)
             , nParamCommands_(0)
             , pressed_(false)
Index: code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputCommands.h	(revision 10768)
@@ -103,5 +103,5 @@
     {
     public:
-        ParamCommand() : scale_(1.0f), paramCommand_(0) { }
+        ParamCommand() : scale_(1.0f), paramCommand_(nullptr) { }
         bool execute(float abs = 1.0f, float rel = 1.0f);
         CommandEvaluation* getEvaluation();
@@ -118,5 +118,5 @@
             return &this->paramCommand_->evaluation_;
         else
-            return 0;
+            return nullptr;
     }
 }
Index: code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputManager.cc	(revision 10768)
@@ -72,5 +72,5 @@
     InputHandler InputHandler::EMPTY;
 
-    InputManager* InputManager::singletonPtr_s = 0;
+    InputManager* InputManager::singletonPtr_s = nullptr;
 
     //! Defines the |= operator for easier use.
@@ -94,9 +94,9 @@
     InputManager::InputManager()
         : internalState_(Bad)
-        , oisInputManager_(0)
+        , oisInputManager_(nullptr)
         , devices_(2)
         , exclusiveMouse_(false)
-        , emptyState_(0)
-        , calibratorCallbackHandler_(0)
+        , emptyState_(nullptr)
+        , calibratorCallbackHandler_(nullptr)
     {
         RegisterObject(InputManager);
@@ -149,6 +149,6 @@
         // When loading the devices they should not already be loaded
         assert(internalState_ & Bad);
-        assert(devices_[InputDeviceEnumerator::Mouse] == 0);
-        assert(devices_[InputDeviceEnumerator::Keyboard] == 0);
+        assert(devices_[InputDeviceEnumerator::Mouse] == nullptr);
+        assert(devices_[InputDeviceEnumerator::Keyboard] == nullptr);
         assert(devices_.size() == InputDeviceEnumerator::FirstJoyStick);
 
@@ -294,6 +294,6 @@
 
         // Reset console commands
-        ModifyConsoleCommand(__CC_InputManager_name, __CC_calibrate_name).setObject(0);
-        ModifyConsoleCommand(__CC_InputManager_name, __CC_reload_name).setObject(0);
+        ModifyConsoleCommand(__CC_InputManager_name, __CC_calibrate_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_InputManager_name, __CC_reload_name).setObject(nullptr);
 
         orxout(internal_status, context::input) << "InputManager: Destruction complete." << endl;
@@ -316,5 +316,5 @@
             const std::string& className = device->getClassName();
             delete device;
-            device = 0;
+            device = nullptr;
             orxout(verbose, context::input) << className << " destroyed." << endl;
         }
@@ -526,5 +526,5 @@
     {
         if (name.empty())
-            return 0;
+            return nullptr;
         if (statesByName_.find(name) == statesByName_.end())
         {
@@ -539,5 +539,5 @@
                         orxout(internal_warning, context::input) << "Could not add an InputState with the same priority '"
                             << static_cast<int>(priority) << "' != 0." << endl;
-                        return 0;
+                        return nullptr;
                     }
                 }
@@ -551,5 +551,5 @@
         {
             orxout(internal_warning, context::input) << "Could not add an InputState with the same name '" << name << "'." << endl;
-            return 0;
+            return nullptr;
         }
     }
@@ -561,5 +561,5 @@
             return it->second;
         else
-            return 0;
+            return nullptr;
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/input/InputState.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/InputState.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/InputState.cc	(revision 10768)
@@ -40,7 +40,7 @@
         , bExpired_(true)
         , handlers_(2)
-        , joyStickHandlerAll_(0)
-        , enterFunctor_(0)
-        , leaveFunctor_(0)
+        , joyStickHandlerAll_(nullptr)
+        , enterFunctor_(nullptr)
+        , leaveFunctor_(nullptr)
     {
         if (priority >= InputStatePriority::HighPriority || priority == InputStatePriority::Empty)
Index: code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.cc	(revision 10768)
@@ -439,5 +439,5 @@
                         {
                             delete[] button->commands_[mode_index];
-                            button->commands_[mode_index] = 0;
+                            button->commands_[mode_index] = nullptr;
                         }
 
Index: code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/KeyBinderManager.cc	(revision 10768)
@@ -80,8 +80,8 @@
 
         // Reset console commands
-        ModifyConsoleCommand(__CC_keybind_name ).setObject(0);
-        ModifyConsoleCommand(__CC_tkeybind_name).setObject(0);
-        ModifyConsoleCommand(__CC_unbind_name  ).setObject(0);
-        ModifyConsoleCommand(__CC_tunbind_name ).setObject(0);
+        ModifyConsoleCommand(__CC_keybind_name ).setObject(nullptr);
+        ModifyConsoleCommand(__CC_tkeybind_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_unbind_name  ).setObject(nullptr);
+        ModifyConsoleCommand(__CC_tunbind_name ).setObject(nullptr);
     }
 
Index: code/branches/cpp11_v2/src/libraries/core/input/Mouse.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/input/Mouse.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/input/Mouse.cc	(revision 10768)
@@ -68,6 +68,6 @@
     {
 #ifdef ORXONOX_PLATFORM_LINUX
-        ModifyConsoleCommand(__CC_Mouse_name, __CC_grab_name).setObject(0);
-        ModifyConsoleCommand(__CC_Mouse_name, __CC_ungrab_name).setObject(0);
+        ModifyConsoleCommand(__CC_Mouse_name, __CC_grab_name).setObject(nullptr);
+        ModifyConsoleCommand(__CC_Mouse_name, __CC_ungrab_name).setObject(nullptr);
 #endif
     }
Index: code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/module/DynLibManager.cc	(revision 10768)
@@ -38,5 +38,5 @@
     //-----------------------------------------------------------------------
     //! Static pointer to the singleton
-    DynLibManager* DynLibManager::singletonPtr_s  = 0;
+    DynLibManager* DynLibManager::singletonPtr_s  = nullptr;
 
     //-----------------------------------------------------------------------
Index: code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/module/PluginManager.cc	(revision 10768)
@@ -46,5 +46,5 @@
     SetConsoleCommand("PluginManager", __CC_PluginManager_unload_name, &PluginManager::unloadPlugin);
 
-    PluginManager* PluginManager::singletonPtr_s  = 0;
+    PluginManager* PluginManager::singletonPtr_s  = nullptr;
 
     PluginManager::PluginManager()
Index: code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationManager.cc	(revision 10768)
@@ -33,5 +33,5 @@
 namespace orxonox
 {
-    StaticInitializationManager* StaticInitializationManager::singletonPtr_s = 0;
+    StaticInitializationManager* StaticInitializationManager::singletonPtr_s = nullptr;
 
     void StaticInitializationManager::addHandler(StaticInitializationHandler* handler)
Index: code/branches/cpp11_v2/src/libraries/core/object/Context.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/object/Context.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/object/Context.cc	(revision 10768)
@@ -40,5 +40,5 @@
     RegisterClass(Context);
 
-    Context* Context::rootContext_s = 0;
+    Context* Context::rootContext_s = nullptr;
 
     Context* getContextForInitializationOfOtherContexts()
Index: code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.cc	(revision 10768)
@@ -58,6 +58,6 @@
     ObjectListBase::ObjectListBase()
     {
-        this->first_ = 0;
-        this->last_ = 0;
+        this->first_ = nullptr;
+        this->last_ = nullptr;
         this->size_ = 0;
     }
@@ -73,7 +73,7 @@
             ObjectListBaseElement* next = current->next_;
 
-            current->list_ = 0;
-            current->next_ = 0;
-            current->prev_ = 0;
+            current->list_ = nullptr;
+            current->next_ = nullptr;
+            current->prev_ = nullptr;
 
             current = next;
@@ -155,7 +155,7 @@
             this->first_ = element->next_; // If there is no prev_, we deleted the first object and have to update the first_ pointer of the list
 
-        element->list_ = 0;
-        element->next_ = 0;
-        element->prev_ = 0;
+        element->list_ = nullptr;
+        element->next_ = nullptr;
+        element->prev_ = nullptr;
         --this->size_;
     }
Index: code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h	(revision 10768)
@@ -57,5 +57,5 @@
                 @param objectBase The object to store
             */
-            ObjectListBaseElement(Listable* object) : next_(0), prev_(0), objectBase_(object), list_(0) {}
+            ObjectListBaseElement(Listable* object) : next_(nullptr), prev_(nullptr), objectBase_(object), list_(nullptr) {}
             virtual ~ObjectListBaseElement() { this->removeFromList(); }
 
@@ -136,9 +136,9 @@
             inline ObjectListBaseElement* begin() const { return this->first_; }
             /// Returns a pointer to the element after the last element in the list. Works only with Iterator.
-            inline ObjectListBaseElement* end() const { return 0; }
+            inline ObjectListBaseElement* end() const { return nullptr; }
             /// Returns a pointer to the last element in the list. Works only with Iterator.
             inline ObjectListBaseElement* rbegin() const { return this->last_; }
             /// Returns a pointer to the element in front of the first element in the list. Works only with Iterator.
-            inline ObjectListBaseElement* rend() const { return 0; }
+            inline ObjectListBaseElement* rend() const { return nullptr; }
 
             inline void registerRemovalListener(ObjectListElementRemovalListener* listener) { this->listeners_.push_back(listener); }
Index: code/branches/cpp11_v2/src/libraries/core/object/StrongPtr.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/object/StrongPtr.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/object/StrongPtr.h	(revision 10768)
@@ -138,5 +138,5 @@
         public:
             /// Constructor: Initializes the strong pointer with a null pointer.
-            inline StrongPtr() : pointer_(0), base_(0)
+            inline StrongPtr() : pointer_(nullptr), base_(nullptr)
             {
             }
@@ -237,5 +237,5 @@
             inline T* operator->() const
             {
-                assert(this->pointer_ != 0);
+                assert(this->pointer_ != nullptr);
                 return this->pointer_;
             }
@@ -244,5 +244,5 @@
             inline T& operator*() const
             {
-                assert(this->pointer_ != 0);
+                assert(this->pointer_ != nullptr);
                 return *this->pointer_;
             }
@@ -251,5 +251,5 @@
             inline bool operator!() const
             {
-                return (this->pointer_ == 0);
+                return (this->pointer_ == nullptr);
             }
 
Index: code/branches/cpp11_v2/src/libraries/core/object/WeakPtr.h
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/object/WeakPtr.h	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/object/WeakPtr.h	(revision 10768)
@@ -100,10 +100,10 @@
         public:
             /// Constructor: Initializes the weak pointer with a null pointer.
-            inline WeakPtr() : pointer_(0), base_(0), callback_(0)
+            inline WeakPtr() : pointer_(nullptr), base_(nullptr), callback_(nullptr)
             {
             }
 
             /// Constructor: Initializes the weak pointer with a pointer to an object.
-            inline WeakPtr(T* pointer) : pointer_(pointer), base_(pointer), callback_(0)
+            inline WeakPtr(T* pointer) : pointer_(pointer), base_(pointer), callback_(nullptr)
             {
                 this->registerAsDestructionListener(this->base_);
@@ -111,5 +111,5 @@
 
             /// Copy-constructor
-            inline WeakPtr(const WeakPtr& other) : pointer_(other.pointer_), base_(other.base_), callback_(0)
+            inline WeakPtr(const WeakPtr& other) : pointer_(other.pointer_), base_(other.base_), callback_(nullptr)
             {
                 this->registerAsDestructionListener(this->base_);
@@ -118,5 +118,5 @@
             /// Copy-constructor for weak pointers to objects of another class.
             template <class O>
-            inline WeakPtr(const WeakPtr<O>& other) : pointer_(other.get()), base_(other.getBase()), callback_(0)
+            inline WeakPtr(const WeakPtr<O>& other) : pointer_(other.get()), base_(other.getBase()), callback_(nullptr)
             {
                 this->registerAsDestructionListener(this->base_);
@@ -172,5 +172,5 @@
             inline T* operator->() const
             {
-                assert(this->pointer_ != 0);
+                assert(this->pointer_ != nullptr);
                 return this->pointer_;
             }
@@ -179,5 +179,5 @@
             inline T& operator*() const
             {
-                assert(this->pointer_ != 0);
+                assert(this->pointer_ != nullptr);
                 return *this->pointer_;
             }
@@ -186,5 +186,5 @@
             inline bool operator!() const
             {
-                return (this->pointer_ == 0);
+                return (this->pointer_ == nullptr);
             }
 
@@ -232,6 +232,6 @@
             inline void objectDeleted()
             {
-                this->base_ = 0;
-                this->pointer_ = 0;
+                this->base_ = nullptr;
+                this->pointer_ = nullptr;
                 if (this->callback_)
                     (*this->callback_)();
Index: code/branches/cpp11_v2/src/libraries/core/singleton/ScopeManager.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/core/singleton/ScopeManager.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/core/singleton/ScopeManager.cc	(revision 10768)
@@ -38,5 +38,5 @@
 namespace orxonox
 {
-    ScopeManager* ScopeManager::singletonPtr_s = 0;
+    ScopeManager* ScopeManager::singletonPtr_s = nullptr;
 
     void ScopeManager::addScope(ScopeID::Value scope)
Index: code/branches/cpp11_v2/src/libraries/network/Connection.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/Connection.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/Connection.cc	(revision 10768)
@@ -46,5 +46,5 @@
 
   Connection::Connection(uint32_t firstPeerID):
-    host_(0), bCommunicationThreadRunning_(false), nextPeerID_(firstPeerID)
+    host_(nullptr), bCommunicationThreadRunning_(false), nextPeerID_(firstPeerID)
   {
     enet_initialize();
@@ -81,5 +81,5 @@
   {
 //     this->overallMutex_->lock();
-    outgoingEvent outEvent = { peerID, outgoingEventType::disconnectPeer, 0, 0 };
+    outgoingEvent outEvent = { peerID, outgoingEventType::disconnectPeer, nullptr, 0 };
     
     this->outgoingEventsMutex_->lock();
@@ -91,5 +91,5 @@
   void Connection::disconnectPeers()
   {
-    outgoingEvent outEvent = { 0, outgoingEventType::disconnectPeers, 0, 0 };
+    outgoingEvent outEvent = { 0, outgoingEventType::disconnectPeers, nullptr, 0 };
     
     this->outgoingEventsMutex_->lock();
@@ -323,5 +323,5 @@
     
     // create new peerEvent and return it
-    incomingEvent inEvent = { peerID, incomingEventType::peerConnect, 0 };
+    incomingEvent inEvent = { peerID, incomingEventType::peerConnect, nullptr };
     return inEvent;
   }
@@ -338,5 +338,5 @@
     
     // create new peerEvent and return it
-    incomingEvent inEvent = { peerID, incomingEventType::peerDisconnect, 0 };
+    incomingEvent inEvent = { peerID, incomingEventType::peerDisconnect, nullptr };
     return inEvent;
   }
Index: code/branches/cpp11_v2/src/libraries/network/GamestateHandler.cc
===================================================================
--- code/branches/cpp11_v2/src/libraries/network/GamestateHandler.cc	(revision 10765)
+++ code/branches/cpp11_v2/src/libraries/network/GamestateHandler.cc	(revision 10768)
@@ -32,5 +32,5 @@
 namespace orxonox {
 
-// GamestateHandler *GamestateHandler::instance_=0;
+// GamestateHandler *GamestateHandler::instance_=nullptr;
 
 GamestateHandler::GamestateHandler()
